apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-grafana-oidc-login
  namespace: prometheus
spec:
  description: Allow Grafana OIDC login
  egress:
    - toFQDNs:
        - matchName: login.microsoftonline.com
        - matchPattern: '*.microsoftonline.com'
        - matchName: api.github.com
        - matchName: github.com
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: grafana
